### Property

# Gdk Device:layout-names

since: 4.18

#### Declaration

    property layout-names: string[] [ read ]

#### Description [src]

The names of the keyboard layouts of a `GdkDevice`.

This is only relevant for keyboard devices.

Value changes from compositor events, connect to notify if needed.

Type:An array of `char*`

Available since: 4.18

Getter method | `gdk_device_get_layout_names()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no